package com.example.iot_controlhost.model.net;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description 网络请求-获取天气
 * @Author DuanKaiji
 * @CreateTime 2024年03月15日 10:27
 */
public class Weather {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("city")
        private String city;
        @SerializedName("adcode")
        private String adcode;
        @SerializedName("province")
        private String province;
        @SerializedName("reporttime")
        private String reporttime;
        @SerializedName("casts")
        private List<CastsDTO> casts;

        public String getCity() {
            return city;
        }

        public void setCity(String city) {
            this.city = city;
        }

        public String getAdcode() {
            return adcode;
        }

        public void setAdcode(String adcode) {
            this.adcode = adcode;
        }

        public String getProvince() {
            return province;
        }

        public void setProvince(String province) {
            this.province = province;
        }

        public String getReporttime() {
            return reporttime;
        }

        public void setReporttime(String reporttime) {
            this.reporttime = reporttime;
        }

        public List<CastsDTO> getCasts() {
            return casts;
        }

        public void setCasts(List<CastsDTO> casts) {
            this.casts = casts;
        }

        public static class CastsDTO {
            /**
             * "date": "2023-03-02", //日期
             * "week": "4", //星期几
             * "dayweather": "阴", //白天天气现象
             * "nightweather": "多云", //晚上天气现象
             * "daytemp": "15", //白天温度
             * "nighttemp": "8", //晚上温度
             * "daywind": "北", //白天风向
             * "nightwind": "北", //晚上风向
             * "daypower": "≤3", //白天风力
             * "nightpower": "≤3" //晚上风力
             */
            @SerializedName("date")
            private String date;
            @SerializedName("week")
            private String week;
            @SerializedName("dayweather")
            private String dayweather;
            @SerializedName("nightweather")
            private String nightweather;
            @SerializedName("daytemp")
            private String daytemp;
            @SerializedName("nighttemp")
            private String nighttemp;
            @SerializedName("daywind")
            private String daywind;
            @SerializedName("nightwind")
            private String nightwind;
            @SerializedName("daypower")
            private String daypower;
            @SerializedName("nightpower")
            private String nightpower;

            public String getDate() {
                return date;
            }

            public void setDate(String date) {
                this.date = date;
            }

            public String getWeek() {
                return week;
            }

            public void setWeek(String week) {
                this.week = week;
            }

            public String getDayweather() {
                return dayweather;
            }

            public void setDayweather(String dayweather) {
                this.dayweather = dayweather;
            }

            public String getNightweather() {
                return nightweather;
            }

            public void setNightweather(String nightweather) {
                this.nightweather = nightweather;
            }

            public String getDaytemp() {
                return daytemp;
            }

            public void setDaytemp(String daytemp) {
                this.daytemp = daytemp;
            }

            public String getNighttemp() {
                return nighttemp;
            }

            public void setNighttemp(String nighttemp) {
                this.nighttemp = nighttemp;
            }

            public String getDaywind() {
                return daywind;
            }

            public void setDaywind(String daywind) {
                this.daywind = daywind;
            }

            public String getNightwind() {
                return nightwind;
            }

            public void setNightwind(String nightwind) {
                this.nightwind = nightwind;
            }

            public String getDaypower() {
                return daypower;
            }

            public void setDaypower(String daypower) {
                this.daypower = daypower;
            }

            public String getNightpower() {
                return nightpower;
            }

            public void setNightpower(String nightpower) {
                this.nightpower = nightpower;
            }
        }
    }
}
